REST APIEnterpriseUser

GET

Returns the associated user

Path Params

  • id string required
    The user ID, email address, or me for the currently authenticated user

    matches ^[0-9a-f]{32}$

Query Params

  • orgId string
    The organization ID by which to filter the user's enterprises.
  • maxEnterprises integer
    Specifies the maximum number of enterprises to return. An organization ID must be provided. The maximum limit is 50 enterprises.

Responses

200
OK

Response Body

object

  • user object required
    user object
    • id string

      matches ^[0-9a-f]{32}$

    • isActive boolean
    • isFrozen boolean
    • freezeReason string
    • name object
      name object
      • first string
      • full string
      • last string
    • username string email
    • email object
      email object
      • email string email
      • verified boolean
    • phone object
      phone object
      • phone string
      • verified boolean
    • country string
    • state string
    • kycStatus string enum
      user's overall KYC status
      approvedpendingrejectedunverified
  • kycStatus string enum
    The user's KYC status. Only returned when the requester is an org admin viewing another user.
    approvedpendingrejectedunverified
400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code
404
Not Found
No response body